tvbrowser.core

## Class DummyPlugin

- java.lang.Object
- - devplugin.Plugin
  - - tvbrowser.core.DummyPlugin

- All Implemented Interfaces:
    ContextMenuIf, Marker, ProgramReceiveIf, java.lang.Comparable<ProgramReceiveIf>

      public final class DummyPlugin
      extends Plugin

  A dummy plugin class used to load version for deactivated plugins.
  Since:
    3.0
  Author:
    René Mach

- - ### Field Summary

    - ### Fields inherited from class devplugin.Plugin

      `ACTION_ID_KEY, ADDITONAL_DATA_SERVICE_HARDWARE_CATEGORY, ADDITONAL_DATA_SERVICE_SOFTWARE_CATEGORY, ALL_CATEGORY, BIG_ICON, DISABLED_ON_TASK_MENU, mLocalizer, NO_ICON_RESIZE, OTHER_CATEGORY, RATINGS_CATEGORY, REMOTE_CONTROL_HARDWARE_CATEGORY, REMOTE_CONTROL_SOFTWARE_CATEGORY, SINGLE_CLICK_WAITING_TIME`

    - ### Fields inherited from interface devplugin.ContextMenuIf

      `ACTIONKEY_KEYBOARD_EVENT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Version` | `getVersion()`
    `(package private) static void` | `setCurrentVersion(Version version)`

    - ### Methods inherited from class devplugin.Plugin

      `canReceiveProgramsWithTarget, canUseProgramTree, compareTo, createImageIcon, createImageIcon, createImageIcon, createImageIcon, createImageIconForFileName, getAfterDataUpdateInfoPanel, getAvailableFilter, getAvailableFilterComponentClasses, getButtonAction, getCommunicationClass, getContextMenuActions, getContextMenuActions, getId, getImportanceValueForProgram, getInfo, getMarkIcon, getMarkIconFromTheme, getMarkIconName, getMarkIcons, getMarkIconsForProgram, getMarkPriorityForProgram, getParentFrame, getPluginCategory, getPluginCenterPanelWrapper, getPluginManager, getProgramFromContextMenuActionEvent, getProgramReceiveTargets, getProgramTableIcons, getProgramTableIconText, getProgramTableToolTipIcons, getRatingInterfaces, getRootNode, getSettingsTab, handleTvBrowserSettingsChanged, handleTvBrowserStartFinished, handleTvDataAdded, handleTvDataAdded, handleTvDataDeleted, handleTvDataTouched, handleTvDataUpdateFinished, handleTvDataUpdateStarted, handleTvDataUpdateStarted, isAllowedToDeleteProgramFilter, isAllowingArtificialPluginTree, layoutWindow, layoutWindow, loadRootNode, loadSettings, onActivation, onDeactivation, readData, receivePrograms, receiveValues, saveMe, setParent, setPluginManager, storeRootNode, storeRootNode, storeSettings, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getVersion

          public static Version getVersion()

    - #### setCurrentVersion

          static void setCurrentVersion(Version version)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)